#!/usr/bin/perl
@lyhenteet = ("Mt",
	      "Mr",
	      "Lu",
	      "Joh",
	      "Ac",
	      "Ro",
	      "1Co",
	      "2Co",
	      "Ga",
	      "Eph",
	      "Php",
	      "Col",
	      "1Th",
	      "2Th",
	      "1Ti",
	      "2Ti",
	      "Tit",
	      "Phm",
	      "Heb",
	      "Jas",
	      "1Pe",
	      "2Pe",
	      "1Jo",
	      "2Jo",
	      "3Jo",
	      "Jude",
	      "Re" );

@nimet = ("Matta",
	  "Markos",
	  "Luka",
	  "Yuhanna",
	  "Elilerin ileri",
	  "Pavlus'un Romallara mektubu",
	  "Pavlus'un Korintlilere birinci mektubu",
	  "Pavlus'un Korintlilere ikinci mektubu",
	  "Pavlus'un Galatyallara mektubu",
	  "Pavlus'un Efeslilere mektubu",
	  "Pavlus'un Filipililere mektubu",
	  "Pavlus'un Koloselilere mektubu",
	  "Pavlus'un Selaniklilere birinci mektubu",
	  "Pavlus'un Selaniklilere ikinci mektubu",
	  "Pavlus'un Timoteyus'a birinci mektubu",
	  "Pavlus'un Timoteyus'a ikinci mektubu",
	  "Pavlus'un Titus'a mektubu",
	  "Pavlus'un Filimon'a mektubu",
	  "branlere mektup",
	  "Yakub'un mektubu",
	  "Petrus'un birinci mektubu",
	  "Petrus'un ikinci mektubu",
	  "Yuhanna'nn birinci mektubu",
	  "Yuhanna'nn ikinci mektubu",
	  "Yuhanna'nn nc mektubu",
	  "Yahuda'nn mektubu",
	  "Tanr'dan Yuhanna'ya gelen esinleme");


$index = 15;
$kirja = @lyhenteet[$index];
$seuraavakirja = @lyhenteet[$index + 1];
$kirjannimi = @nimet[$index];
$seuraavankirjannimi = @nimet[$index + 1];
$luku = "0";

@aakkoset = ("a",
"b",
"c",
"",
"d",
"e",
"f",
"g",
"",
"h",
"",
"i",
"j",
"k",
"l",
"m",
"n",
"o",
"p",
"r",
"s",
"",
"t",
"u",
"",
"v",
"y",
"z",
"aa",
"bb",
"cc",
"",
"dd",
"ee",
"ff",
"gg",
"",
"hh",
"",
"ii",
"jj",
"kk",
"ll",
"mm",
"nn",
"oo",
"pp",
"rr",
"ss",
"",
"tt",
"uu",
"",
"vv",
"yy",
"zz",
"a1",
"b1",
"c1",
"1",
"d1",
"e1",
"f1",
"g1",
"1",
"h1",
"1",
"i1",
"j1",
"k1",
"l1",
"m1",
"n1",
"o1",
"p1",
"r1",
"s1",
"1",
"t1",
"u1",
"1",
"v1",
"y1",
"z1");

$aakkonen = 0;

open(L1, ">$kirja.$luku.html");
print L1 "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 3.2//EN\">\n";
print L1 "<HTML><HEAD><META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=ISO-8859-9\">\n";
print L1 "<TITLE>Pavlus'un TMOTEYUS'A KNC MEKTUBU</TITLE></HEAD><BODY>\n";
print L1 "<A HREF=\"$kirja.html\">$kirjannimi</A>\n";
print L1 "<H2>$kirjannimi $1</H2>\n";

open(L2, ">$kirja.html");
print L2 "<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n";
print L2 "<HTML><HEAD><META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=ISO-8859-9\">\n";
print L2 "<TITLE>$kirjannimi</TITLE></HEAD><BODY>\n";
print L2 "<A HREF=\"index.html\">ncil</A>\n";
print L2 "<H2>$kirjannimi</H2>\n";

print L2 "<A HREF=\"$kirja.0.html\">2. TMOTEYUS'A GR</A><p>\n";

while (<>) {
    $tulosta = "true";
    if (/\<H1\>(\d{0,2}). Blm.*\<\/H1\>/) {
	print L1 "<hr><A HREF=\"$kirja.$1.html\">$1. Blm</A>, ";
	print L1 "<A HREF=\"$kirja.html\">$kirjannimi</A>\n</BODY></HTML>";
	close(L1);
	open(L1, ">$kirja.$1.html");
	print L1 "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 3.2//EN\">\n";
	print L1 "<HTML><HEAD><META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=ISO-8859-9\">\n";
	print L1 "<TITLE>$kirjannimi $1</TITLE></HEAD><BODY>\n";
	print L1 "<A HREF=\"$kirja.$luku.html\">$luku. Blm</A>, ";
	print L1 "<A HREF=\"$kirja.html\">$kirjannimi</A>\n";
	print L2 "<p><A HREF=\"$kirja.$1.html\">$1. Blm</A><br>\n";
	$luku = $1;
	@tulosta = "0";
    }
    if (/\<H1\>(.*)\<\/H1\>/) {
	if (tulosta) {
	print L2 $1;
	print L2 "<br>\n";
	@tulosta = "0";
    }
    }
    if (/\<sup\>(\d{1,2})\<\/sup\>/) {
	$a = $1;
	s#$1#\<A NAME=\"$a\"\>$a\</A\>#;
    }
    if (/\<sup\>(\d{1,2})-(\d{1,2})\<\/sup\>/) {
	$a = $2;
	$b = $1;
	s#$2#\<A NAME=\"$a\"\>$a\</A\>#;
	s#$b#\<A NAME=\"$b\"\>$b\</A\>#;
    }
    if (/\<sup\>\[\]\<\/sup\>/) {
	s%\[\]%\<A HREF=\"$kirja.Dipnotlar.html#@aakkoset[$aakkonen]\"\>\[@aakkoset[$aakkonen]\]\</A\>%;
	$aakkonen = $aakkonen + 1 
    }  
    if (tulosta) {
	print L1 "$_";
    }
}
print L1 "<hr><A HREF=\"$seuraavakirja.1.html\">$seuraavankirjannimi 1. Blm</A>, ";
print L1 "<A HREF=\"$kirja.html\">$kirjannimi</A>\n</BODY></HTML>";
print L2 "<hr><A HREF=\"$seuraavakirja.html\">$seuraavankirjannimi</A>, ";
print L2 "<A HREF=\"index.html\">ncil</A>\n</BODY></HTML>";







